]> sipb.mit.edu Git - ikiwiki.git/blobdiff - doc/install.mdwn
responses
[ikiwiki.git] / doc / install.mdwn
index 4f6dd69fd911cdb156b83d1cb5cb1a0306b31c25..5755985466fc86d368662a4e3cfebc7a997365c6 100644 (file)
@@ -6,9 +6,11 @@ Ikiwiki is a perl program, and needs a recent version of perl such as
 Ikiwiki requires [[MarkDown]] and the `HTML::Parser` perl module be
 installed, and also uses the following perl modules if available: 
 `CGI::Session` `CGI::FormBuilder` (version 3.02.02 or newer)
-`HTML::Template` `Mail::SendMail` `Time::Duration` `Date::Parse`,
+`HTML::Template` `Mail::Sendmail` `Time::Duration` `Date::Parse`,
 `HTML::Scrubber`, `RPC::XML`, `XML::Simple`, `XML::Feed`.
 
+The [[tla]] support also needs the `MailTools` perl module.
+
 Various [[plugins]] use other libraries and utlities; see their individual
 documentation for details.
 
@@ -19,7 +21,7 @@ If you're installing MarkDown by hand, note that it should be installed as
 If you want to install from the tarball, you should make sure that the
 required perl modules are installed, then run:
 
-        perl Makefile.PL
+        perl Makefile.PL # PREFIX=/dir to install elsewhere
         make
        make test # optional
         make install